> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a bridging request



## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json get /v2/wallets/bridges/{transferId}
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/wallets/bridges/{transferId}:
    get:
      tags:
        - Cross-Chain Bridge
      summary: Retrieve a bridging request
      parameters:
        - $ref: '#/components/parameters/BridgingRequestIDPathParameter'
      responses:
        '200':
          $ref: '#/components/responses/BridgeAssetRecordResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    BridgingRequestIDPathParameter:
      name: transferId
      in: path
      schema:
        type: string
      description: Transfer record ID.
      required: true
  responses:
    BridgeAssetRecordResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BridgeAssetTransferObject'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    BridgeAssetTransferObject:
      type: object
      properties:
        transferType:
          type: string
        transferDetails:
          type: object
          properties:
            id:
              type: string
              format: uuid
            requestId:
              type: string
              format: uuid
            createdAt:
              type: string
              format: date-time
            updatedAt:
              type: string
              format: date-time
            amount:
              type: number
            status:
              type: string
              enum:
                - NOT_INITIATED
                - OPEN_QUOTE
                - CREATED
                - SOURCE_INITIATED
                - SOURCE_PENDING
                - SOURCE_PROCESSED
                - SOURCE_FAILED
                - DESTINATION_INITIATED
                - DESTINATION_PENDING
                - COMPLETED
                - DESTINATION_FAILED
                - QUOTE_FAILED
                - UNKNOWN
            source:
              type: object
              properties:
                userId:
                  type: string
                  format: uuid
                walletAddress:
                  type: string
                chain:
                  type: string
                currency:
                  type: string
            destination:
              type: object
              properties:
                userId:
                  type: string
                  format: uuid
                walletAddress:
                  type: string
                chain:
                  type: string
                currency:
                  type: string
            receipt:
              type: object
              properties:
                transactionHash:
                  type: string
                operations:
                  type: object
                  properties:
                    mint:
                      type: object
                      properties:
                        transactionHash:
                          type: string
                          nullable: true
                        userOpHash:
                          type: string
                          nullable: true
                        chain:
                          type: string
                          nullable: true
                    burn:
                      type: object
                      properties:
                        transactionHash:
                          type: string
                          nullable: true
                        userOpHash:
                          type: string
                          nullable: true
                        chain:
                          type: string
                          nullable: true
                    approve:
                      type: object
                      properties:
                        transactionHash:
                          type: string
                          nullable: true
                        userOpHash:
                          type: string
                          nullable: true
                        chain:
                          type: string
                          nullable: true
            failedReason:
              type: string
              nullable: true
            fee:
              type: number
              nullable: true
            quoteInformation:
              type: object
              properties:
                sendGross:
                  type: object
                  properties:
                    amount:
                      type: string
                    currency:
                      type: string
                sendNet:
                  type: object
                  properties:
                    amount:
                      type: string
                    currency:
                      type: string
                railFee:
                  type: object
                  properties:
                    amount:
                      type: string
                    currency:
                      type: string
                receiveGross:
                  type: object
                  properties:
                    amount:
                      type: string
                    currency:
                      type: string
                receiveNet:
                  type: object
                  properties:
                    amount:
                      type: string
                    currency:
                      type: string
                rate:
                  type: string
                expiresAt:
                  type: string
                  format: date-time
      example:
        transferType: WALLET.BRIDGE
        transferDetails:
          id: 9ccafd0f-e47f-43c2-8693-13741b67d638
          requestId: 1d860428-1d0b-47c5-9e65-98961ff59215
          createdAt: '2025-02-24T17:44:54.781519+00:00'
          updatedAt: '2025-02-24T17:57:01.185+00:00'
          amount: 0.01
          status: COMPLETED
          source:
            userId: a804f891-b63c-4b36-99ee-0aa83e6facde
            walletAddress: '0xE9cfBf1D690565579D823264170eE357f80e9A34'
            chain: POLYGON
            currency: usdc
          destination:
            userId: a804f891-b63c-4b36-99ee-0aa83e6facde
            walletAddress: '0x17f043FB0a39334641beD627551AC095941157B0'
            chain: ETHEREUM
            currency: usdc
          receipt:
            transactionHash: '0x17f043FB0a39334641beD627551AC095941157B0'
            operations:
              mint:
                transactionHash: >-
                  0x5784890f9efd0160e9401439a5cf2aa5350580ecf48f9ca2af617338ae089e53
                userOpHash: >-
                  0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac
                chain: ETHEREUM
              burn:
                transactionHash: >-
                  0x5784890f9efd0160e9401439a5cf2aa5350580ecf48f9ca2af617338ae089e53
                userOpHash: >-
                  0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac
                chain: POLYGON
              approve:
                transactionHash: >-
                  0x5784890f9efd0160e9401439a5cf2aa5350580ecf48f9ca2af617338ae089e53
                userOpHash: >-
                  0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac
                chain: POLYGON
          failedReason: null
          fee: null
          quoteInformation:
            sendGross:
              amount: '0.01'
              currency: usdc
            sendNet:
              amount: '0.01'
              currency: usdc
            railFee:
              amount: '0'
              currency: usdc
            receiveGross:
              amount: '0.01'
              currency: usdc
            receiveNet:
              amount: '0.01'
              currency: usdc
            rate: '1'
            expiresAt: '2025-02-25T17:44:54.781Z'
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````